### Method

# Gtk TreeSelectionselected_foreach

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_selection_selected_foreach (
      GtkTreeSelection* selection,
      GtkTreeSelectionForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls a function for each selected node. Note that you cannot modify the tree or selection from within this function. As a result, `gtk_tree_selection_get_selected_rows()` might be more useful.

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

#### Parameters

`func`

  Type: `GtkTreeSelectionForeachFunc`

  The function to call for each selected node.

`data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.